import React, {useState} from 'react'
import styled from 'styled-components'
import Stepper from '../Stepper.js'
import FormControl from '@material-ui/core/FormControl';
import MenuItem from '@material-ui/core/MenuItem';
import Select from '@material-ui/core/Select';
import InputLabel from '@material-ui/core/InputLabel';
import {Button} from '@material-ui/core'
import {RightSideStrikedH3, LeftSideStrikedH3} from '../LoginContainerFunction.js'
import Divider from '@material-ui/core/Divider';
import {ButtonCancelar} from '../TabPanels/TabPanelEditarPerfil.js'

export default function PartOne (props) {
    const [uf, setUF] = useState('')
    const handleChangeUF = (event) => {setUF(event.target.value)}

    const [municipio, setMunicipio] = useState('')
    const handleChangeMunicipio = (event) => {setMunicipio(event.target.value)}

    return (
        <>
        <Content>
            <h4>Vamos localizar o seu cadastro:</h4>
            <Stepper items={props.stepper}/>
            <form style={{textAlign:"start"}}>
                <p>Localize pelo menos uma escola que você tenha atuado até maio de 2017:</p>
                <FormControl required style={{width:"100%"}}>
                     <InputLabel>Procure sua UF</InputLabel>
                     <Select
                       labelId="demo-simple-select-label"
                       id="demo-simple-select"
                       value={uf}
                       onChange={handleChangeUF}
                     >
                       <MenuItem value={10}>Ten</MenuItem>
                       <MenuItem value={20}>Twenty</MenuItem>
                       <MenuItem value={30}>Thirty</MenuItem>
                     </Select>
                </FormControl>
                <FormControl required style={{width:"100%"}}>
                     <InputLabel>Busque o seu município</InputLabel>
                     <Select
                       labelId="demo-simple-select-label"
                       id="demo-simple-select"
                       value={municipio}
                       onChange={handleChangeMunicipio}
                     >
                       <MenuItem value={10}>Ten</MenuItem>
                       <MenuItem value={20}>Twenty</MenuItem>
                       <MenuItem value={30}>Thirty</MenuItem>
                     </Select>
                </FormControl>
                <div style={{display:"flex", justifyContent:"center",paddingTop:"10px", paddingBottom:"10px"}}>
                    <ButtonConfirmar onClick={props.handleBuscar}>BUSCAR</ButtonConfirmar>
                </div>
            </form>
            </Content>
            <div style={{display:"flex", justifyContent:"center", alignItems:"center"}}>
                <LeftSideStrikedH3/><StrikeSpan>ou</StrikeSpan><RightSideStrikedH3/>
            </div>
            <Content>
                <form>
                    <p>Localize pelo código INEP da escola:</p>
                    <FormControl required style={{width:"100%"}}>
                         <InputLabel>Código INEP</InputLabel>
                         <Select
                           labelId="demo-simple-select-label"
                           id="demo-simple-select"
                           value={municipio}
                           onChange={handleChangeMunicipio}
                         >
                           <MenuItem value={10}>Ten</MenuItem>
                           <MenuItem value={20}>Twenty</MenuItem>
                           <MenuItem value={30}>Thirty</MenuItem>
                         </Select>
                    </FormControl>
                    <div style={{display:"flex", justifyContent:"center",paddingTop:"10px", paddingBottom:"10px"}}>
                        <ButtonConfirmar onClick={props.handleBuscar}>BUSCAR</ButtonConfirmar>
                    </div>
                </form>
            </Content>
            <Divider/>
            <ButtonsArea>
                <ButtonCancelar>CANCELAR VERIFICAÇÃO</ButtonCancelar>
            </ButtonsArea>
        </>
    )
}

const ButtonsArea = styled.div`
    display : flex;
    justify-content : center;
    padding-top : 10px;
    padding-bottom : 10px;
`

const StrikeSpan = styled.span`
    vertical-align : middle;
    font-family : Roboto;
    font-style : normal;
    font-weight : 500;
    line-height : 22px;
    font-size : 15px;
    letter-spacing : .01em;
`

export const Content = styled.div`
    margin-top : 16px;
    margin-bottom : 16px;
    margin-right : 10%;
    margin-left : 10%;

    h4 {
        text-align : center;
        magin-bottom : 20px;
        font-family: Roboto;
        font-style : normal;
        font-weight : 300;
        line-height : 36px;
        font-size : 26px;
        margin-top : 20px;
    }

    p {
        font-family : Roboto;
        font-style : normal;
        font-weight : 400;
        line-height : 21px;
        font-size : 15px;
    }
`
const ButtonConfirmar = styled(Button)`
    background-color : #00bcd4 !important;
    color : #fff !important;
    font-family : 'Roboto',sans-serif !important;
    font-size : 14px !important;
    font-weight : bolder !important;
    padding-left : 16px !important;
    padding-right : 16px !important;
    outline : none !important;
    margin : 6px 8px !important;
    white-space : nowrap !important;
    text-transform : uppercase !important;
    font-weight : bold !important;
    font-size : 14px !important;
    font-style : inherit !important;
    font-variant : inherit !important;
    font-family : inherit !important;
    text-decoration : none !important;
    overflow : hidden !important;
    display : inline-block !important;
    position : relative !important;
    cursor : pointer !important;
    min-height : 36px !important;
    min-width : 88px !important;
    line-height : 36px !important;
    vertical-align : middle !important;
    align-items : center !important;
    text-align : center !important;
    border-radius : 3px !important;
    box-sizing : border-box !important;
    border : 0 !important;
`
